//Run dragger after document is done loading
$(document).ready(function () {
  //Add draggable feature to the nav element with the #drag id
  $('#drag').draggable({
    containment: 'document',
    cursor: 'move',
    start: function () {
      //Undock; this will be read by floater.js, so it doesn't try to dock it
      $(this).removeClass("docked");
      //Make the nav follow you as you scroll
      $(this).css({'position': 'fixed'});
      //Fill in the area that it took up on the side of the table content
      $('#content').css({'margin-left': '5%'});
    }
  });
});
