jQuery(document).ready(function () {
  //Variable declarations:
  var navOffset; //Holds the y position of the nav field
  var scrollPos; //Holds the y position of the top of the viewport

  //Retrieve the y position of the top of the nav field
	navOffset = jQuery("nav").offset().top;

  //Runs every time the page is scrolled
	jQuery(window).scroll(function () {
    //Y pos of current scrolling position
    scrollPos = jQuery(window).scrollTop();

    //Changes the fixed state of the nav if it is above the scrollPos
    if ($('#drag').hasClass("docked")) {//First check if docked
  		if (scrollPos >= navOffset - 10) {//-10 because it floats 10px from top
  			jQuery("nav").addClass("fixed");
  		} else {
  			jQuery("nav").removeClass("fixed");
  		}
    }

	});

});
